FAQ: Instalação

Como eu posso começar?

  1. Baixando o código.

  2. Instalando o Django (leia a guia de instalação).

  3. Navegue pelo tutorial.

  4. Confira o resto da documentação e faça perguntas se você tiver problemas.

Quais são os pré-requisitos do Django?

Django requer Python. Veja a tabela na próxima seção para saber quais versões de Python funcionam com as versões de Django. Outras bibliotecas Python podem ser solicitadas para alguns usuários, mas você receberá um aviso de erro se for necessário.

Para o ambiente de desenvolvimento – Se você quiser apenas testar o Django – Você não precisa ter instalado um servidor Web separado; Django já vem com seu próprio servidor de desenvolvimento leve. Para um ambiente de produção, Django segue a especificação do WSGI, PEP 3333, o que significa que ele funciona em uma variedade de plataforma de servidores. Veja Implantando Django para outras alternativas populares.

Se você quer usar o Django com um banco de dados - o que provavelmente é o caso - você vai precisar de um sistema de banco de dados. PostgreSQL é o recomendado - porquê nós somos fãs de PostgreSQL - mas MySQL. SQLite3, e Oracle também são suportados.

Qual versão do Python eu posso usar com Django?

Versão do Django

Versões do Python

1.8

2.7, 3.2 (até o fim de 2016), 3.3, 3.4, 3.5

1.9, 1.10 2.7, 3.4, 3.5

Para cada versão do Python, apenas a micro versão (A.B.C) é oficialmente suportada. Você pode encontrar a micro versão mais recente para cada série na Página de downloads do Python.

Tipicamente, nós daremos suporte para uma versão de Python até a primeira distribuição Django LTS, cujo suporte de segurança temine após o término do suporte de segurança para aquela versão do Python. Por exemplo, o suporte de segurança do Python 3.3 termina em setembro de 2017 e o suporte de segurança do Django 1.8 LTS encerra em abril de 2018. Portanto o Django 1.8 é a última versão a suportar Python 3.3

Qual versão do Python eu devo usar com Django?

Assim como o Django 1.6, o suporte do Python 3 é considerado estável e você pode usá-lo com segurança em produção. Veja também Porting to Python 3. No entanto, a comunidade ainda está em processo de migração de pacotes e aplicações de terceiros para o Python 3.

Se você estiver iniciando um novo projeto e as dependências que você planeja usar funcionam em Python 3, você deveria utilizar Python 3. Se elas não funcionam, considere contribuir para os esforços de portabilidade, ou fique com o Python 2.

Como as versões mais recentes do Python são frequentemente mais rápidas, têm mais funcionalidades e são melhores suportadas, considerando tudo isso, nós recomendamos que você use no mínimo o release 2.x.y ou 3.x.y mais recente.

Você não perde nada no Django por usar uma distribuição antiga, mas você não usufruirá das melhorias e otimizações das versões mais recentes de Python. As aplicações de terceiros para uso com Django são, claramente, livres para definir os seus próprios requisitos de versão.

Eu devo usar a versão estável ou a versão de desenvolvimento?

Geralmente, se você estiver usando um código em produção, você deveria usar uma distribuição estável. O projeto do Django publica uma distribuição completa estável há aproximadamente cada nove meses com atualizações para correções de bugs. Essas distribuições estáveis têm uma API que é garantidamente compatível com a versão anterior; se você escrever código em distribuições estáveis você não deverá ter problemas para atualizar quando a próxima versão oficial for distribuída.

Back to Top